### File

`src/app/shared/directives/do-nothing.directive.ts`

### Description

empty directive

### Metadata

Selector | `[donothing]`

### Index

###### Properties

- Private _emptyAccessor
- Private _fullName
- color
- emptyProperty
- Protected popover

###### Methods

- emptyMethod
- ngOnDestroy
- onClick
- onMousedown
- onMouseup
- Public submitTriggered

###### Inputs

- emptyInput

###### Outputs

- emptyOutput

###### HostBindings

- style.color

###### HostListeners

- click
- focus
- mousedown
- mouseup

###### Accessors

- emptyAccessor
- fullName

### Constructor

`constructor()`
Defined in src/app/shared/directives/do-nothing.directive.ts:41

### Inputs

emptyInput
Type : `string`
Defined in src/app/shared/directives/do-nothing.directive.ts:23

### Outputs

emptyOutput
Type : `string`
Defined in src/app/shared/directives/do-nothing.directive.ts:41
directive output

### HostBindings

style.color
Type : `string`
Defined in src/app/shared/directives/do-nothing.directive.ts:64
HostBinding description directive hostBinding

### HostListeners

click
Arguments : `'$event'`
Defined in src/app/shared/directives/do-nothing.directive.ts:83
HostListener description 3

focus
Arguments : `'$event'`
Defined in src/app/shared/directives/do-nothing.directive.ts:83
HostListener description 3

mousedown
Arguments : `'$event.clientX' '$event.clientY'`
Defined in src/app/shared/directives/do-nothing.directive.ts:77
HostListener description 2

mouseup
Arguments : `'$event.clientX' '$event.clientY'`
Defined in src/app/shared/directives/do-nothing.directive.ts:72

HostListener description 1 directive hostListener

Example :

    directive hostListener

### Methods

emptyMethod
`emptyMethod(emptyParam: string)`
Defined in src/app/shared/directives/do-nothing.directive.ts:53

Parameters :

Name | Type | Optional | Description
emptyParam | `string` | No | directive method param

Returns : `string`

directive method return

ngOnDestroy
`ngOnDestroy()`
Defined in src/app/shared/directives/do-nothing.directive.ts:47
Returns : `void`

onClick
`onClick(e: Event)`
Decorators : `@HostListener('focus', ['$event']) @HostListener('click', ['$event'])`
Defined in src/app/shared/directives/do-nothing.directive.ts:83

HostListener description 3

Parameters :

Name | Type | Optional
e | `Event` | No

Returns : `void`

onMousedown
`onMousedown(mouseX: number, mouseY: number)`
Decorators : `@HostListener('mousedown', ['$event.clientX', '$event.clientY'])`
Defined in src/app/shared/directives/do-nothing.directive.ts:77

HostListener description 2

Parameters :

Name | Type | Optional
mouseX | `number` | No
mouseY | `number` | No

Returns : `void`

onMouseup
`onMouseup(mouseX: number, mouseY: number)`
Decorators : `@HostListener('mouseup', ['$event.clientX', '$event.clientY'])`
Defined in src/app/shared/directives/do-nothing.directive.ts:72

HostListener description 1 directive hostListener

Parameters :

Name | Type | Optional
mouseX | `number` | No
mouseY | `number` | No

Example :

    directive hostListener

Returns : `void`

Public submitTriggered
`submitTriggered()`
Defined in src/app/shared/directives/do-nothing.directive.ts:57
Returns : `void`

### Properties

Private _emptyAccessor
Type : `string`
Default value : `''`
Defined in src/app/shared/directives/do-nothing.directive.ts:35

Private _fullName
Type : `string`
Defined in src/app/shared/directives/do-nothing.directive.ts:85

color
Type : `string`
Decorators : `@HostBinding('style.color')`
Defined in src/app/shared/directives/do-nothing.directive.ts:64
HostBinding description directive hostBinding

emptyProperty
Type : `string`
Default value : `''`
Defined in src/app/shared/directives/do-nothing.directive.ts:17
directive property

Protected popover
Type : `string`
Defined in src/app/shared/directives/do-nothing.directive.ts:11

### Accessors

emptyAccessor
get `emptyAccessor()`
Defined in src/app/shared/directives/do-nothing.directive.ts:29

directive accessor

Example :

    directive accessor

set `emptyAccessor(val)`
Defined in src/app/shared/directives/do-nothing.directive.ts:32

Parameters :

Name | Optional
val | No

Returns : `void`

fullName
get `fullName()`
Defined in src/app/shared/directives/do-nothing.directive.ts:91
Getter of _fullName Returns : `string`
set `fullName(newName: string)`
Defined in src/app/shared/directives/do-nothing.directive.ts:99

Setter of _fullName

Parameters :

Name | Type | Optional | Description
newName | `string` | No | The new name

Returns : `void`

# Do-nothing

    import { Directive, HostBinding, HostListener, Input, Output } from '@angular/core';

    import { DoNothingDirectiveSchema } from './do-nothing-directive.metadata';

    /**
     * @example
     * empty directive
     */
    @Directive(DoNothingDirectiveSchema)
    export class DoNothingDirective {
        protected popover: string;

        /**
         * @example
         * directive property
         */
        emptyProperty = '';

        /**
         * @example
         * directive input
         */
        @Input() public emptyInput: string;

        /**
         * @example
         * directive accessor
         */
        get emptyAccessor() {
            return this._emptyAccessor;
        }
        set emptyAccessor(val) {
            this._emptyAccessor = val;
        }
        private _emptyAccessor = '';

        /**
         * @example
         * directive output
         */
        @Output() public emptyOutput: string;

        constructor() {
            console.log('Do nothing directive');
        }

        ngOnDestroy() {}

        /**
         * @param emptyParam directive method param
         * @returns directive method return
         */
        emptyMethod(emptyParam: string) {
            return emptyParam;
        }

        public submitTriggered() {}

        /**
         * HostBinding description
         * @example
         * directive hostBinding
         */
        @HostBinding('style.color') color: string;

        /**
         * HostListener description 1
         * @example
         * directive hostListener
         */
        @HostListener('mouseup', ['$event.clientX', '$event.clientY'])
        onMouseup(mouseX: number, mouseY: number): void {}
        /**
         * HostListener description 2
         */
        @HostListener('mousedown', ['$event.clientX', '$event.clientY'])
        onMousedown(mouseX: number, mouseY: number): void {}
        /**
         * HostListener description 3
         */
        @HostListener('focus', ['$event'])
        @HostListener('click', ['$event'])
        onClick(e: Event): void {}

        private _fullName: string;

        /**
         * Getter of _fullName
         * @return {string} _fullName value
         */
        get fullName(): string {
            return this._fullName;
        }

        /**
         * Setter of _fullName
         * @param  {string} newName The new name
         */
        set fullName(newName: string) {
            this._fullName = newName;
        }
    }

# results matching ""

# No results matching ""